package org.nuiton.jredmine.rest;

/**
 * Builder of requests which are in a project and issue context.
 * <p/>
 * Created: 1 janv. 2010
 *
 * @author Tony Chemit <chemit@codelutin.com> Copyright Code Lutin
 * @version $Revision: 61 $
 *          <p/>
 *          Mise a jour: $Date: 2010-01-01 18:35:21 +0100 (ven., 01 janv. 2010) $ par :
 *          $Author: tchemit $
 * @since 1.0.3
 */
public class IssueScopeRequestBuilder extends ProjectScopeRequestBuilder {

    public IssueScopeRequestBuilder(String name, String action) {
        super(name, action);
    }

    @Override
    public String[] getParameters(Object... args) {

        // args 1 = project id
        // args 2 = issue id

        String issueId = (String) args[1];

        return new String[]{
                "issue_id", issueId
        };
    }
}
